<?php
/**
 * Getting started template
 */
?>
<div id="getting_started" class="leo-tab-pane active">
	<div class="container-fluid">
		<div class="row">
			<div class="col-md-6">
				<div class="leo-tab-pane-half leo-tab-pane-first-half">
					<h3><?php esc_html_e( "Recommended Plugins", 'leo' ); ?></h3>
					<div style="border-top: 1px solid #eaeaea;">
						<p style="margin-top: 16px;">
							<?php esc_html_e( 'To take full advanctage of the theme features you need to install recommended plugins.', 'leo' ); ?>
						
						</p>
						<p><a target="_self" href="#recommended_actions" class="leo-custom-class"><?php esc_html_e( 'Click here','leo');?></a></p>
					</div>
				</div>
				<div class="leo-tab-pane-half leo-tab-pane-first-half">
					<h3><?php esc_html_e( "Start Customizing", 'leo' ); ?></h3>
					<div style="border-top: 1px solid #eaeaea;">
						<p style="margin-top: 16px;">
							<?php esc_html_e( 'After activating recommended plugins , now you can start customization.', 'leo' ); ?>
						
						</p>
						<p><a target="_blank" href="<?php echo esc_url( admin_url( 'customize.php' ) ); ?>" class="button button-primary"><?php esc_html_e( 'Go to Customizer','leo');?></a></p>
					</div>
				</div>
			</div>
			<div class="col-md-6">
				<div class="leo-tab-pane-half leo-tab-pane-first-half">
				<img src="<?php echo esc_url( LEO_TEMPLATE_DIR_URI ) . '/admin/img/leo.png'; ?>" alt="<?php esc_attr_e( 'leo Theme', 'leo' ); ?>" />
				</div>
			</div>	
		</div>
		<div class="row">
			<div class="leo-tab-center">
				<h3><?php esc_html_e( "Useful Links", 'leo' ); ?></h3>
			</div>
			<div class=" useful_box">
                <div class="leo-tab-pane-half leo-tab-pane-first-half">
                	<div class="col-md-6">
	                    <a href="<?php echo esc_url('https://leo.webriti.com/'); ?>" target="_blank"  class="info-block">
	                    	<div class="dashicons dashicons-desktop info-icon"></div>
	                    	<p class="info-text"><?php echo esc_html__('Lite Demo','leo'); ?></p>
	                	</a>
                	</div>
                	<div class="col-md-6">
	                    <a href="<?php echo esc_url('https://webriti.com/demo/wp/preview/?prev=wallstreet'); ?>" target="_blank"  class="info-block">
	                    	<div class="dashicons dashicons-book-alt info-icon"></div>
	                    	<p class="info-text"><?php echo esc_html__('PRO Demo','leo'); ?></p>
	                    </a>
                    </div>        
                </div>
                <div class="leo-tab-pane-half leo-tab-pane-first-half">
                	<div class="col-md-6">
	                    <a href="<?php echo esc_url('https://wordpress.org/support/view/theme-reviews/leo'); ?>" target="_blank"  class="info-block">
	                    	<div class="dashicons dashicons-smiley info-icon"></div>
	                    	<p class="info-text"><?php echo esc_html__('Your feedback is valuable to us','leo'); ?></p>
	                    </a>
                	</div>
                	<div class="col-md-6">
	                    <a href="<?php echo esc_url('https://webriti.com/wallstreet/'); ?>" target="_blank"  class="info-block">
	                    	<div class="dashicons dashicons-book-alt info-icon"></div>
	                    	<p class="info-text"><?php echo esc_html__('Premium Theme Details','leo'); ?></p>
	                    </a>
                	</div>
                </div>
            </div>        
        </div>            
    </div>
</div>