<?php
if (!function_exists('leo_header_classic_layout')) :

    function leo_header_classic_layout() {
        $leo_current_options = wp_parse_args(  get_option( 'wallstreet_pro_options', array() ), wallstreet_theme_data_setup() );?>
    <div class="navbar-header index2">
        <div class="container">
            <?php 
                         if($leo_current_options['text_title'] ==true){
                            set_theme_mod('header_text','true');
                            $leo_text_title_options=get_option('wallstreet_pro_options');
                            $leo_text_title_options['text_title'] = false;
                            update_option('wallstreet_pro_options', $leo_text_title_options);
                        }

                        if($leo_current_options['text_title'] ==false && $leo_current_options['upload_image_logo']!='' && !(has_custom_logo()) )
                        { ?> 
                            <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                <img src="<?php echo esc_url($leo_current_options['upload_image_logo']); ?>" style="height:<?php if($leo_current_options['height']!='') { echo esc_attr($leo_current_options['height']); }  else { "80"; } ?>px; width:<?php if($leo_current_options['width']!='') { echo esc_attr($leo_current_options['width']); }  else { "200"; } ?>px;" alt="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>" />
                            </a>
                            <?php
                        }   
                        elseif(has_custom_logo() )
                        { ?>
                            <a class="navbar-brand" href="<?php echo esc_url(home_url( '/' )); ?>">
                                <?php
                                if ( has_custom_logo() ) 
                                {   
                                    $leo_custom_logo_id = get_theme_mod( 'custom_logo' );
                                    $leo_post_status=get_post_status ( $leo_custom_logo_id );
                                    $leo_logo_options = get_option('wallstreet_pro_options');
                                    $leo_logo_options['upload_image_logo'] = '';
                                    update_option('wallstreet_pro_options', $leo_logo_options);
                                    $leo_image = wp_get_attachment_image_src( $leo_custom_logo_id , 'full' );
                                    echo '<img src="'.esc_url($leo_image[0]).'" alt="'.esc_attr(get_bloginfo( 'title' )).'" />';
                                }?>
                            </a>
                        <?php
                        }
                        if($leo_current_options['text_title'] ==true || get_theme_mod('header_text')==true)
                        { 
                            if((get_option('blogname')!='') || (get_option('blogdescription')!=''))
                            {
                                if(get_option('blogname')!='')
                                {?>
                                    <div class="logo-link-url">
                                        <h2 style="margin: 0px;"><a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><div class="wallstreet_title_head"><?php bloginfo( 'name' ); ?></div>
                                        </a></h2>
                                        <?php
                                        $leo_description = get_bloginfo( 'description', 'display' );
                                        if(get_option('blogdescription')!='')
                                        {
                                            if ( $leo_description || is_customize_preview() )
                                            { ?>

                                            <p class="site-description"><?php echo $leo_description; ?></p>
                                            <?php
                                            }
                                        }?>
                                    </div>                                    
                                <?php
                                }                                
                            } 
                        }?>
        </div>
    </div>
    <!--/Header Details Section-->  
    <!--Logo & Menu Section-->
      
   <div class="navbar navbar-wrapper navbar-inverse navbar-static-top navbar2" role="navigation">
     <div class="container">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
            <span class="sr-only"><?php esc_html_e('Toggle navigation','leo'); ?></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
                                  <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <?php
                wp_nav_menu( array(  
                        'theme_location' => 'primary',
                        'container'  => 'nav-collapse collapse navbar-inverse-collapse',
                        'menu_class' => 'nav navbar-nav navbar-left',
                        'fallback_cb' => 'wallstreet_fallback_page_menu',
                        'walker' => new wallstreet_nav_walker()
                        )
                    );  
                ?>
            </div><!-- /.navbar-collapse -->
        </div>
    </div>
<?php
 }

endif;

if (!function_exists('leo_header_default_layout')) :

    function leo_header_default_layout() {
        $leo_current_options = wp_parse_args(  get_option( 'wallstreet_pro_options', array() ), wallstreet_theme_data_setup() );?>
        <div class="navbar navbar-wrapper navbar-inverse navbar-static-top" role="navigation">
            <div class="container">
              
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                <!-- logo -->
                    <?php
                        if($leo_current_options['text_title'] ==true){
                            set_theme_mod('header_text','true');
                            $leo_text_title_options=get_option('wallstreet_pro_options');
                            $leo_text_title_options['text_title'] = false;
                            update_option('wallstreet_pro_options', $leo_text_title_options);
                        }

                        if($leo_current_options['text_title'] ==false && $leo_current_options['upload_image_logo']!='' && !(has_custom_logo()) )
                        { ?> 
                            <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                <img src="<?php echo esc_url($leo_current_options['upload_image_logo']); ?>" style="height:<?php if($leo_current_options['height']!='') { echo esc_attr($leo_current_options['height']); }  else { "80"; } ?>px; width:<?php if($leo_current_options['width']!='') { echo esc_attr($leo_current_options['width']); }  else { "200"; } ?>px;" alt="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>" />
                            </a>
                            <?php
                        }   
                        elseif(has_custom_logo() )
                        { ?>
                            <a class="navbar-brand" href="<?php echo esc_url(home_url( '/' )); ?>">
                                <?php
                                if ( has_custom_logo() ) 
                                {   
                                    $leo_custom_logo_id = get_theme_mod( 'custom_logo' );
                                    $leo_post_status=get_post_status ( $leo_custom_logo_id );
                                    $leo_logo_options = get_option('wallstreet_pro_options');
                                    $leo_logo_options['upload_image_logo'] = '';
                                    update_option('wallstreet_pro_options', $leo_logo_options);
                                    $leo_image = wp_get_attachment_image_src( $leo_custom_logo_id , 'full' );
                                    echo '<img src="'.esc_url($leo_image[0]).'" alt="'.esc_attr(get_bloginfo( 'title' )).'" />';
                                }?>
                            </a>
                        <?php
                        }
                        if($leo_current_options['text_title'] ==true || get_theme_mod('header_text')==true)
                        { 
                            if((get_option('blogname')!='') || (get_option('blogdescription')!=''))
                            {
                                if(get_option('blogname')!='')
                                {?>
                                    <div class="logo-link-url">
                                        <h2 style="margin: 0px;"><a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><div class="wallstreet_title_head"><?php bloginfo( 'name' ); ?></div>
                                        </a></h2>
                                        <?php
                                        $leo_description = get_bloginfo( 'description', 'display' );
                                        if(get_option('blogdescription')!='')
                                        {
                                            if ( $leo_description || is_customize_preview() )
                                            { ?>

                                            <p class="site-description"><?php echo $leo_description; ?></p>
                                            <?php
                                            }
                                        }?>
                                    </div>                                    
                                <?php
                                }
                                
                            } 
                        }?>
                <!-- /logo -->
                  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only"><?php esc_html_e('Toggle navigation','leo'); ?></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                  </button>
                </div>
                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <?php
                    wp_nav_menu( array(  
                            'theme_location' => 'primary',
                            'container'  => 'nav-collapse collapse navbar-inverse-collapse',
                            'menu_class' => 'nav navbar-nav navbar-right',
                            'fallback_cb' => 'wallstreet_fallback_page_menu',
                            'walker' => new wallstreet_nav_walker()
                            )
                        );  
                    ?>
                </div><!-- /.navbar-collapse -->            
            </div>
        </div>
        <?php
        }
endif;

/**
 * Masonry 2 Column blog Layout
 */
if (!function_exists('leo_blog_masonry3_layout')) :

    function leo_blog_masonry3_layout() { ?>
    <div class="row masonry-3" id="blog-masonry">
        <?php
        $leo_args = array( 'post_type' => 'post','posts_per_page' =>6,'post__not_in'=>get_option("sticky_posts"));  
        query_posts( $leo_args );
        if(query_posts( $leo_args ))
        {   
            while(have_posts()):the_post();?>
            <div class="masonry-item">
                <div class="home-blog-area">
                    <div class="home-blog-post-img"><?php
                        $leo_defalt_arg =array('class' => "img-responsive");
                        if(has_post_thumbnail()): 
                        the_post_thumbnail('', $leo_defalt_arg); 
                        endif; 
                        ?>
                    </div>
                    <div class="home-blog-info">                        
                        <div class="home-blog-post-detail">
                            <span class="date"><?php echo esc_html( get_the_date() ); ?> </span>
                            <span class="comment"><a href="<?php the_permalink(); ?>"><i class="fa fa-comment"></i><?php comments_number ( esc_html__('No comments','leo'), esc_html__( '1 comment','leo'), esc_html__('% Comments','leo') ); ?></a></span>
                                            
                        </div>
                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>      
                        <div class="home-blog-description"><p><?php echo esc_html(get_the_excerpt()); ?></p></div>
                        <div class="home-blog-btn"><a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','leo'); ?></a></div>                            
                    </div>
                </div>
            </div>
            <?php endwhile;
             wp_reset_postdata(); 
            } else  { ?>
                <div class='post_message'>
                    <?php esc_html_e('No Posts to show.','leo');?>
                </div>
            <?php } ?>
    </div>
    <?php
    }
endif;

/**
 * default blog Layout
 */
if (!function_exists('leo_blog_default_layout')) :

    function leo_blog_default_layout() {?>
    <div class="row">
        <?php
        $leo_j=1;
        $leo_args = array( 'post_type' => 'post','posts_per_page' =>6,'post__not_in'=>get_option("sticky_posts"));  
        query_posts( $leo_args );
        if(query_posts( $leo_args ))
        {   while(have_posts()):the_post();
            $leo_recent_expet = get_the_excerpt(); ?>
            <div class="col-md-4 col-sm-6">
                <div class="home-blog-area">
                    <div class="home-blog-post-img"><?php
                        $leo_defalt_arg =array('class' => "img-responsive");
                        if(has_post_thumbnail()): 
                        the_post_thumbnail('', $leo_defalt_arg); 
                        endif; 
                        ?>
                    </div>
                    <div class="home-blog-info">                        
                        <div class="home-blog-post-detail">
                            <span class="date"><?php echo esc_html( get_the_date() ); ?> </span>
                            <span class="comment"><a href="<?php the_permalink(); ?>"><i class="fa fa-comment"></i><?php comments_number ( esc_html__('No comments','leo'), esc_html__( '1 comment','leo'), esc_html__('% Comments','leo') ); ?></a></span>
                                            
                        </div>
                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>      
                        <div class="home-blog-description"><p><?php echo esc_html(get_the_excerpt()); ?></p></div>
                        <div class="home-blog-btn"><a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','leo'); ?></a></div>                            
                    </div>
                </div>
            </div>
            <?php if($leo_j%3==0){ echo "<div class='clearfix'></div>"; } $leo_j++;
            endwhile; 
            wp_reset_postdata(); 
            } else  { ?>
                <div class='post_message'>
                    <?php esc_html_e('No Posts to show.','leo');?>
                </div>
            <?php } ?>
    </div>
    <?php
    }
endif;